Bug 1282266 - [abrt] midori: JSC::WriteBarrierBase<JSC::Structure>::operator->(): midori killed by SIGSEGV
[abrt] midori: JSC::WriteBarrierBase<JSC::Structure>::operator->(): midori ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e770172e61598bf350e8fa946d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 16:46 EST by David
Modified: 2016-12-20 10:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:57:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.93 KB, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: cgroup (177 bytes, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: core_backtrace (26.23 KB, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: dso_list (14.57 KB, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: environ (1.44 KB, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: maps (94.04 KB, text/plain)
2015-11-15 16:46 EST, David
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-11-15 16:47 EST, David
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-15 16:47 EST, David
no flags Details
File: open_fds (4.78 KB, text/plain)
2015-11-15 16:47 EST, David
no flags Details
File: proc_pid_status (871 bytes, text/plain)
2015-11-15 16:47 EST, David
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-11-15 16:47 EST, David
no flags Details

  None (edit)
Description David 2015-11-15 16:46:44 EST
Description of problem:
If click on link in Yum Extender and Midori crash.

Version-Release number of selected component:
midori-0.5.10-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        midori
crash_function: JSC::WriteBarrierBase<JSC::Structure>::operator->
executable:     /usr/bin/midori
global_pid:     2389
kernel:         4.2.5-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 David 2015-11-15 16:46:49 EST
Created attachment 1094617 [details]
File: backtrace
Comment 2 David 2015-11-15 16:46:50 EST
Created attachment 1094618 [details]
File: cgroup
Comment 3 David 2015-11-15 16:46:51 EST
Created attachment 1094619 [details]
File: core_backtrace
Comment 4 David 2015-11-15 16:46:53 EST
Created attachment 1094620 [details]
File: dso_list
Comment 5 David 2015-11-15 16:46:54 EST
Created attachment 1094621 [details]
File: environ
Comment 6 David 2015-11-15 16:46:56 EST
Created attachment 1094622 [details]
File: exploitable
Comment 7 David 2015-11-15 16:46:57 EST
Created attachment 1094623 [details]
File: limits
Comment 8 David 2015-11-15 16:46:59 EST
Created attachment 1094624 [details]
File: maps
Comment 9 David 2015-11-15 16:47:01 EST
Created attachment 1094625 [details]
File: mountinfo
Comment 10 David 2015-11-15 16:47:02 EST
Created attachment 1094626 [details]
File: namespaces
Comment 11 David 2015-11-15 16:47:03 EST
Created attachment 1094627 [details]
File: open_fds
Comment 12 David 2015-11-15 16:47:04 EST
Created attachment 1094628 [details]
File: proc_pid_status
Comment 13 David 2015-11-15 16:47:06 EST
Created attachment 1094629 [details]
File: var_log_messages
Comment 14 Kevin Fenzi 2015-11-15 18:42:41 EST
Any link in particular? All links? Does it start to open in midori?

Exact steps would be great. ;)
Comment 15 David 2015-11-15 22:39:59 EST
I installed a lot of new software on a clean installation (LO, Firefox etc.). When browsing packages YUM extender I clicked on the link. It was the third link on which I clicked. Midori at the time was run with one tab.
Comment 16 mec2153 2015-12-13 13:26:41 EST
Another user experienced a similar problem:

Midori sucks! I'm installing Firefox!

reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/midori
crash_function: JSC::WriteBarrierBase<JSC::Structure>::operator->
executable:     /usr/bin/midori
global_pid:     5478
kernel:         4.2.6-301.fc23.x86_64
package:        midori-0.5.11-1.fc23
reason:         midori killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Fedora End Of Life 2016-11-24 08:28:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:57:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.